Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		ots
#Epoch:		0
Version:	0.5.0
Release:	1
License:	GNU/GPL-v2
URL:		http://libots.sourceforge.net/
Group:		System/Libraries
Summary:	open text summarizer
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
Patch0:		ots-no-gtk-doc.patch

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libxml2-devel
BuildRequires: pkg-config
BuildRequires: popt-devel
BuildRequires: zlib-devel

%description
Automatic text summarization is the technique, where a computer program summarizes a document. A text is put into the computer and a highlighted (summarized) text is returned. The  Open Text Summarizer  is an open source tool for summarizing texts. The program reads a text and decides which sentences are important and which are not. It ships with Ubuntu, Fedora and other linux distros. OTS supports many (25+) languages which are configured in XML files.
Several academic publications have benchmarked it and praised it.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure 	--prefix=%_prefix \
		--disable-debug \
		--disable-gtk-doc

# parallel build breaks compilation
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/ots
%{_libdir}/libots-1
%{_libdir}/libots-1.0
%{_libdir}/libots-1.0.5.0
%{_datadir}/ots/

%files devel
%defattr(-,root,root)
%{_includedir}/libots-1/
%{_pkgconfig}/libots-1.pc
%{_libdir}/libots-1.a
%{_libdir}/libots-1.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 18 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.5.0-1
- initial CCux package release
